#!/bin/sh
# 
# remote controls by thowi
#
VERSION=31
LINE="-----------------------------------------------"
CONTROLHOME=/media/hdd/control
MRCHOME=$CONTROLHOME/MRC
MRCTMP=/var/tmp/MRCLIST.tmp
echo $LINE
if [ $# -gt 12 ]; then
echo "only first 12 commands will be executed !"
fi
if [ $# -lt 1 ]; then
echo "no command passed !"
echo $LINE
exit 1
fi
echo "executing control: $1 $2 $3 $4 $5 $6 $7 $8 $9 $10 $11 $12"
COMMAND="$1 $2 $3 $4 $5 $6 $7 $8 $9 $10 $11 $12"
for CMD in $COMMAND
do
if [ $1 != "MACRO" -a $1 != "MRC" ]; then
   echo $LINE
   echo "control: $CMD"
   echo $LINE
fi
case $CMD in 
"MACRO" | "MAKRO" | "MRC" )
dos2unix $MRCHOME/*.MRC
if [ $# -lt 2 ]; then
   echo $LINE
   echo "no macro name passed !"
   echo $LINE
   exit 1
else
   if [ $2 = "LIST" ]; then
      ls -a1 $MRCHOME/*.MRC > $MRCTMP
      sed -ie s!$MRCHOME/!!g $MRCTMP
      sed -ie s!".MRC"!!g $MRCTMP
      echo $LINE
      echo "list of *.MRC MACROS"
      echo $LINE
      cat $MRCTMP
      rm $MRCTMP > /dev/null 2>&1
      echo $LINE
      exit 0
   fi
   if [ -f $MRCHOME/$2.MRC ]; then
      CMD=`cat $MRCHOME/$2.MRC`
      echo $LINE
      echo "executing MACRO = control: $CMD"
      /usr/bin/control.sh $CMD
      exit 0
   else
      echo $LINE
      echo "MACRO files $2.MRC doesn't exist !"
      echo $LINE
      exit 1
   fi
fi
;;
"OFF" | "116" )
control 116
;;
"MENU" | "139" )
control 139
;;
"EXIT" | "174" )
control 174
;;
"OK" | "352" )
control 352
;;
"UP"| "UP1" | "102" )
control 102
;;
"UP2" )
control 102
control 102
;;
"UP3" )
control 102
control 102
control 102
;;
"UP4" )
control 102
control 102
control 102
control 102
;;
"UP5" )
control 102
control 102
control 102
control 102
control 102
;;
"UP6" )
control 102
control 102
control 102
control 102
control 102
control 102
;;
"UP7" )
control 102
control 102
control 102
control 102
control 102
control 102
control 102
;;
"UP8" )
control 102
control 102
control 102
control 102
control 102
control 102
control 102
control 102
;;
"DOWN" | "DOWN1" | "108" )
control 108
;;
"DOWN2" )
control 108
control 108
;;
"DOWN3" )
control 108
control 108
control 108
;;
"DOWN4" )
control 108
control 108
control 108
control 108
;;
"DOWN5" )
control 108
control 108
control 108
control 108
control 108
;;
"DOWN6" )
control 108
control 108
control 108
control 108
control 108
control 108
;;
"DOWN7" )
control 108
control 108
control 108
control 108
control 108
control 108
control 108
;;
"DOWN8" )
control 108
control 108
control 108
control 108
control 108
control 108
control 108
control 108
;;
"RIGHT" | "ZAPUP" | "106" )
control 106
;;
"LEFT" | "ZAPDOWN" | "105" )
control 105
;;
"RED" | "398" )
control 398
;;
"GREEN" | "399" )
control 399
;;
"YELLOW" | "400" )
control 400
;;
"BLUE" | "401" )
control 401
;;
"LONGBLUE" )
control 401 2
;;
"TV" | "377" )
control 377
;;
"RADIO" | "385" )
control 385
;;
"TEXT" | "388" )
control 388
;;
"HELP" | "138" )
control 138
;;
"VIDEO" | "393" )
control 393
;;
"AUDIO" | "392" )
control 392
;;
"INFO" | "358" )
control 358
;;
"VOLUP" | "115" )
control 115
;;
"VOLDOWN" | "114" )
control 114
;;
"BOUQUP" | "402" )
control 402
;;
"BOUQDOWN" | "403" )
control 403
;;
"SPEAKOFF" | "113")
control 113
;;
"BRLEFT" | "412" )
control 412
;;
"BRRIGHT" | "407" )
control 407
;;
"K1" | "1" )
control 2
;;
"K2" | "2" )
control 3
;;
"K3" | "3" )
control 4
;;
"K4" | "4" )
control 5
;;
"K5" | "5" )
control 6
;;
"K6" | "6" )
control 7
;;
"K7" | "7" )
control 8
;;
"K8" | "8" )
control 9
;;
"K9" | "9" )
control 10
;;
"K0" | "0" )
control 11
;;
"SLEEP" )
sleep 1
;;
*)
echo "Command: unknown"
;;
esac

done
echo $LINE

exit 0
